Skip to main content
`Ctrl`+`K`

# VecPermute

Permutes a vector in place using the given ordering.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecPermute(Vec x, IS row, PetscBool inv)

## Input Parameters

- x - The vector

- row - The ordering

- inv - The flag for inverting the permutation

## Note

This function does not yet support parallel Index Sets with non-local permutations

## See Also

`Vec`, `MatPermute()`

## Level

beginner

## Location

src/vec/vec/utils/vinv.c

## Examples

src/ksp/ksp/tutorials/ex18.c
src/ksp/ksp/tutorials/ex10.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages